Loading...
Searching...
No Matches
geo_trace_ray_boundary< T, M >

## Detailed Description

template<class T, class M>
class rheolef::geo_trace_ray_boundary< T, M >

Definition at line 41 of file geo_trace_ray_boundary.h.

## Public Types

typedef disarray< T, M >::size_type | size_type

## Public Member Functions

| geo_trace_ray_boundary ()
| geo_trace_ray_boundary (const geo_trace_ray_boundary< T, M > &)
geo_trace_ray_boundary< T, M > & | operator= (const geo_trace_ray_boundary< T, M > &)
| ~geo_trace_ray_boundary ()
bool | seq_trace_ray_boundary (const geo_base_rep< T, M > &omega, const point_basic< T > &x, const point_basic< T > &v, point_basic< T > &y) const
bool | dis_trace_ray_boundary (const geo_base_rep< T, M > &omega, const point_basic< T > &x, const point_basic< T > &v, point_basic< T > &y) const

## Static Public Member Functions

static geo_trace_ray_boundary_abstract_rep< T, M > * | make_ptr (const geo_base_rep< T, M > &omega)

## Protected Attributes

geo_trace_ray_boundary_abstract_rep< T, M > * | _ptr

## Member Typedef Documentation

## size_type

template<class T, class M>

typedef disarray<T,M>::size_type size_type

Definition at line 43 of file geo_trace_ray_boundary.h.

## Constructor & Destructor Documentation

## geo_trace_ray_boundary() [1/2]

template<class T, class M>

geo_trace_ray_boundary | ( |  | ) |

Definition at line 44 of file geo_trace_ray_boundary.h.

## geo_trace_ray_boundary() [2/2]

template<class T, class M>

geo_trace_ray_boundary | ( | const geo_trace_ray_boundary< T, M > & |  | ) |

Definition at line 45 of file geo_trace_ray_boundary.h.

## ~geo_trace_ray_boundary()

template<class T, class M>

~geo_trace_ray_boundary | ( |  | ) |

Definition at line 143 of file geo_trace_ray_boundary.cc.

## Member Function Documentation

## operator=()

template<class T, class M>

geo_trace_ray_boundary< T, M > & operator= | ( | const geo_trace_ray_boundary< T, M > & |  | ) |

Definition at line 46 of file geo_trace_ray_boundary.h.

## make_ptr()

template<class T, class M>

geo_trace_ray_boundary_abstract_rep< T, M > * make_ptr | ( | const geo_base_rep< T, M > & | omega | ) |

static

Definition at line 564 of file geo_trace_ray_boundary.cc.

## seq_trace_ray_boundary()

template<class T, class M>

bool seq_trace_ray_boundary | ( | const geo_base_rep< T, M > & | omega,
|  | const point_basic< T > & | x,
|  | const point_basic< T > & | v,
|  | point_basic< T > & | y ) const

Definition at line 151 of file geo_trace_ray_boundary.cc.

## dis_trace_ray_boundary()

template<class T, class M>

bool dis_trace_ray_boundary | ( | const geo_base_rep< T, M > & | omega,
|  | const point_basic< T > & | x,
|  | const point_basic< T > & | v,
|  | point_basic< T > & | y ) const

Definition at line 162 of file geo_trace_ray_boundary.cc.

## Member Data Documentation

## _ptr

template<class T, class M>

geo_trace_ray_boundary_abstract_rep<T,M>* _ptr

mutable protected

Definition at line 61 of file geo_trace_ray_boundary.h.

The documentation for this class was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/geo_trace_ray_boundary.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/geo_trace_ray_boundary.cc